| Qore DataProvider Module Reference 1.2.1

QoreSoftBinaryOrNothingDataType.qc.dox.h
1 // -*- mode: c++; indent-tabs-mode: nil -*-
3
25 namespace DataProvider {
28 class QoreSoftBinaryOrNothingDataType : public QoreBinaryDataTypeBase {
29
30 public:
32 constructor(*hash<auto> options) ;
33
34 };
35 };
DataProvider::QoreBinaryDataTypeBase
describes a data type based on binary types with validation for parsing strings when used with soft t...
Definition: QoreBinaryDataTypeBase.qc.dox.h:28
DataProvider::QoreSoftBinaryOrNothingDataType
describes a data type based on *softbinary with validation for parsing strings ...
Definition: QoreSoftBinaryOrNothingDataType.qc.dox.h:28
DataProvider::AbstractDataProviderType::options
hash< auto > options
type options
Definition: AbstractDataProviderType.qc.dox.h:98
DataProvider
Qore AbstractDataField class definition.
Definition: AbstractDataField.qc.dox.h:27
DataProvider::AbstractDataProviderType::constructor
constructor()
creates the type